org.appng.openapi

## Class AppNgApi

- java.lang.Object
- - org.appng.openapi.AppNgApi

-     @Generated(value="org.openapitools.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:48.851+01:00[Europe/Berlin]")
       @Component(value="org.appng.openapi.AppNgApi")
      public class AppNgApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppNgApi()`
    `AppNgApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Action` | `getAction(String site, String application, String eventId, String id, String params)` Returns an action.
    `org.springframework.http.ResponseEntity<Action>` | `getActionWithHttpInfo(String site, String application, String eventId, String id, String params)` Returns an action.
    `ApiClient` | `getApiClient()`
    `Datasource` | `getDatasource(String site, String application, String id, String params)` Returns a datasource by id
    `org.springframework.http.ResponseEntity<Datasource>` | `getDatasourceWithHttpInfo(String site, String application, String id, String params)` Returns a datasource by id
    `Navigation` | `getNavigation(String site, String application)` 200 - datasource response
    `org.springframework.http.ResponseEntity<Navigation>` | `getNavigationWithHttpInfo(String site, String application)` 200 - datasource response
    `PageDefinition` | `getPageWithUrlParams(String site, String application, String id, String pageUrlParams, List<String> sect)` 200 - datasource response
    `org.springframework.http.ResponseEntity<PageDefinition>` | `getPageWithUrlParamsWithHttpInfo(String site, String application, String id, String pageUrlParams, List<String> sect)` 200 - datasource response
    `Action` | `performActionMultiPart(String site, String application, String eventId, String id, String params)` Performs an action.
    `org.springframework.http.ResponseEntity<Action>` | `performActionMultiPartWithHttpInfo(String site, String application, String eventId, String id, String params)` Performs an action.
    `void` | `setApiClient(ApiClient apiClient)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AppNgApi

          public AppNgApi()

    - #### AppNgApi

          @Autowired
          public AppNgApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### getAction

          public Action getAction(String site,
                                  String application,
                                  String eventId,
                                  String id,
                                  String params)
                           throws org.springframework.web.client.RestClientException

      Returns an action. To be used for initially retrieving the action.

      200 - action response

      400 - action response, in case an recoverable error occurred

      0 - unexpected/unrecoverable error

      Parameters:
        `site` - the site to call (required)
        `application` - the application to call (required)
        `eventId` - event-id of the action (required)
        `id` - The ID of the action. (required)
        `params` - Parameters (including sorting and filtering parameters) are passed as matrix style parameters. Note that names and values of these matrix parameters must be URL-Encoded (required)
      Returns:
        Action
      Throws:
        `org.springframework.web.client.RestClientException` - if an error occurs while attempting to invoke the API

    - #### getActionWithHttpInfo

          public org.springframework.http.ResponseEntity<Action> getActionWithHttpInfo(String site,
                                                                                       String application,
                                                                                       String eventId,
                                                                                       String id,
                                                                                       String params)
                                                                                throws org.springframework.web.client.RestClientException

      Returns an action. To be used for initially retrieving the action.

      200 - action response

      400 - action response, in case an recoverable error occurred

      0 - unexpected/unrecoverable error

      Parameters:
        `site` - the site to call (required)
        `application` - the application to call (required)
        `eventId` - event-id of the action (required)
        `id` - The ID of the action. (required)
        `params` - Parameters (including sorting and filtering parameters) are passed as matrix style parameters. Note that names and values of these matrix parameters must be URL-Encoded (required)
      Returns:
        ResponseEntity<Action>
      Throws:
        `org.springframework.web.client.RestClientException` - if an error occurs while attempting to invoke the API

    - #### getDatasource

          public Datasource getDatasource(String site,
                                          String application,
                                          String id,
                                          String params)
                                   throws org.springframework.web.client.RestClientException

      Returns a datasource by id

      200 - datasource response

      0 - unexpected error

      Parameters:
        `site` - the site to call (required)
        `application` - the application to call (required)
        `id` - The id of the datasource. (required)
        `params` - The id of the datasource. Parameters (including sorting and filtering parameters) are passed as matrix style parameters. Note that names and values of these matrix parameters must be URL-Encoded (required)
      Returns:
        Datasource
      Throws:
        `org.springframework.web.client.RestClientException` - if an error occurs while attempting to invoke the API

    - #### getDatasourceWithHttpInfo

          public org.springframework.http.ResponseEntity<Datasource> getDatasourceWithHttpInfo(String site,
                                                                                               String application,
                                                                                               String id,
                                                                                               String params)
                                                                                        throws org.springframework.web.client.RestClientException

      Returns a datasource by id

      200 - datasource response

      0 - unexpected error

      Parameters:
        `site` - the site to call (required)
        `application` - the application to call (required)
        `id` - The id of the datasource. (required)
        `params` - The id of the datasource. Parameters (including sorting and filtering parameters) are passed as matrix style parameters. Note that names and values of these matrix parameters must be URL-Encoded (required)
      Returns:
        ResponseEntity<Datasource>
      Throws:
        `org.springframework.web.client.RestClientException` - if an error occurs while attempting to invoke the API

    - #### getNavigation

          public Navigation getNavigation(String site,
                                          String application)
                                   throws org.springframework.web.client.RestClientException

      200 - datasource response

      Parameters:
        `site` - the site to call (required)
        `application` - the application to call (required)
      Returns:
        Navigation
      Throws:
        `org.springframework.web.client.RestClientException` - if an error occurs while attempting to invoke the API

    - #### getNavigationWithHttpInfo

          public org.springframework.http.ResponseEntity<Navigation> getNavigationWithHttpInfo(String site,
                                                                                               String application)
                                                                                        throws org.springframework.web.client.RestClientException

      200 - datasource response

      Parameters:
        `site` - the site to call (required)
        `application` - the application to call (required)
      Returns:
        ResponseEntity<Navigation>
      Throws:
        `org.springframework.web.client.RestClientException` - if an error occurs while attempting to invoke the API

    - #### getPageWithUrlParams

          public PageDefinition getPageWithUrlParams(String site,
                                                     String application,
                                                     String id,
                                                     String pageUrlParams,
                                                     List<String> sect)
                                              throws org.springframework.web.client.RestClientException

      200 - datasource response

      Parameters:
        `site` - the site to call (required)
        `application` - the application to call (required)
        `id` - the ID of the page (required)
        `pageUrlParams` - the URL path to parametrize the page with. (required)
        `sect` - a list of section IDs to fill (optional)
      Returns:
        PageDefinition
      Throws:
        `org.springframework.web.client.RestClientException` - if an error occurs while attempting to invoke the API

    - #### getPageWithUrlParamsWithHttpInfo

          public org.springframework.http.ResponseEntity<PageDefinition> getPageWithUrlParamsWithHttpInfo(String site,
                                                                                                          String application,
                                                                                                          String id,
                                                                                                          String pageUrlParams,
                                                                                                          List<String> sect)
                                                                                                   throws org.springframework.web.client.RestClientException

      200 - datasource response

      Parameters:
        `site` - the site to call (required)
        `application` - the application to call (required)
        `id` - the ID of the page (required)
        `pageUrlParams` - the URL path to parametrize the page with. (required)
        `sect` - a list of section IDs to fill (optional)
      Returns:
        ResponseEntity<PageDefinition>
      Throws:
        `org.springframework.web.client.RestClientException` - if an error occurs while attempting to invoke the API

    - #### performActionMultiPart

          public Action performActionMultiPart(String site,
                                               String application,
                                               String eventId,
                                               String id,
                                               String params)
                                        throws org.springframework.web.client.RestClientException

      Performs an action.

      200 - action response

      400 - action response, in case an recoverable error occurred

      0 - unexpected/unrecoverable error

      Parameters:
        `site` - the site to call (required)
        `application` - the application to call (required)
        `eventId` - event-id of the action (required)
        `id` - The ID of the action. (required)
        `params` - Parameters (including sorting and filtering parameters) are passed as matrix style parameters. Note that names and values of these matrix parameters must be URL-Encoded (required)
      Returns:
        Action
      Throws:
        `org.springframework.web.client.RestClientException` - if an error occurs while attempting to invoke the API

    - #### performActionMultiPartWithHttpInfo

          public org.springframework.http.ResponseEntity<Action> performActionMultiPartWithHttpInfo(String site,
                                                                                                    String application,
                                                                                                    String eventId,
                                                                                                    String id,
                                                                                                    String params)
                                                                                             throws org.springframework.web.client.RestClientException

      Performs an action.

      200 - action response

      400 - action response, in case an recoverable error occurred

      0 - unexpected/unrecoverable error

      Parameters:
        `site` - the site to call (required)
        `application` - the application to call (required)
        `eventId` - event-id of the action (required)
        `id` - The ID of the action. (required)
        `params` - Parameters (including sorting and filtering parameters) are passed as matrix style parameters. Note that names and values of these matrix parameters must be URL-Encoded (required)
      Returns:
        ResponseEntity<Action>
      Throws:
        `org.springframework.web.client.RestClientException` - if an error occurs while attempting to invoke the API

Copyright © 2011–2023 aiticon GmbH. All rights reserved.